summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Cezary M. Kruk2012-04-15 17:43:27 +0200
committer Erik Hanson2012-04-16 12:35:57 +0200
commit16f6a3de76c9f1c7e8be67eab05475742c3fd241 (patch)
treec24ca10ac8ec35ce3ba5e9af4e125c5444d5787f
parentd8e7dcedd4fcbb12b48ed6725eb35da77e26ef74 (diff)
downloadslackbuilds-16f6a3de76c9f1c7e8be67eab05475742c3fd241.tar.gz
misc/myclippings: Added (Parser for Kindle "My Clippings.txt" file)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--misc/myclippings/README10
-rw-r--r--misc/myclippings/myclippings.SlackBuild48
-rw-r--r--misc/myclippings/myclippings.info10
-rw-r--r--misc/myclippings/slack-desc19
4 files changed, 87 insertions, 0 deletions
diff --git a/misc/myclippings/README b/misc/myclippings/README
new file mode 100644
index 0000000000..6c0df41278
--- /dev/null
+++ b/misc/myclippings/README
@@ -0,0 +1,10 @@
+Perl parser for the Kindle's 3 and 4 "My Clippings.txt" file
+
+The myclippings script is based on parse_kindle_clippings script and parses
+Kindle's "My Clippings.txt" file for highlights, notes, and bookmarks,
+groups them by book/title, and stores them in the separate files or in a
+single file.
+
+Kindle's "My Clippings.txt" file is a mess. The myclippings script helps to
+sort clippings in order to process them in the editor or to store sorted and
+edited clippings back in "My Clippings.txt" file.
diff --git a/misc/myclippings/myclippings.SlackBuild b/misc/myclippings/myclippings.SlackBuild
new file mode 100644
index 0000000000..460d3217ab
--- /dev/null
+++ b/misc/myclippings/myclippings.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Slackware build script for myclippings
+# Written by Cezary M. Kruk (c.kruk@bigfoot.com)
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=myclippings
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Copying scripts to the correct location
+mkdir -p $PKG/usr/bin
+cp -a myclippings $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Kindle\ 3 Kindle\ 4 COPYING ChangeLog INSTALL README README.Windows.txt THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/myclippings/myclippings.info b/misc/myclippings/myclippings.info
new file mode 100644
index 0000000000..57c1a26563
--- /dev/null
+++ b/misc/myclippings/myclippings.info
@@ -0,0 +1,10 @@
+PRGNAM="myclippings"
+VERSION="1.0"
+HOMEPAGE="http://linux-bsd-unix.strefa.pl/"
+DOWNLOAD="http://linux-bsd-unix.strefa.pl/myclippings-1.0.tar.gz"
+MD5SUM="104c7536ffc09964ca1aac725ddbd447"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Cezary M. Kruk"
+EMAIL="c.kruk@bigfoot.com"
+APPROVED="dsomero"
diff --git a/misc/myclippings/slack-desc b/misc/myclippings/slack-desc
new file mode 100644
index 0000000000..7cba97a067
--- /dev/null
+++ b/misc/myclippings/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+myclippings: myclippings (Parser for Kindle's 3 and 4 "My Clippings.txt" file)
+myclippings:
+myclippings: The myclippings script is based on parse_kindle_clippings script and
+myclippings: parses Kindle's "My Clippings.txt" file for highlights, notes, and
+myclippings: bookmarks, groups them by book/title, and stores them in the separate
+myclippings: files or in a single file.
+myclippings:
+myclippings: Kindle's "My Clippings.txt" file is a mess. The myclippings script
+myclippings: helps to sort clippings in order to process them in the editor or to
+myclippings: store sorted and edited clippings back in "My Clippings.txt" file.
+myclippings: